## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.TypedDescendantIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
              org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.DescendantIterator
                  org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.TypedDescendantIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  SAX2DTM2

    public final class SAX2DTM2.TypedDescendantIterator

extends SAX2DTM2.DescendantIterator

Typed iterator that returns the descendants of a given node.

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`SAX2DTM2.TypedDescendantIterator(int nodeType)` Constructor TypedDescendantIterator

Method Summary
`int` `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.DescendantIterator
`reset, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.TypedDescendantIterator

    public SAX2DTM2.TypedDescendantIterator(int nodeType)

  Constructor TypedDescendantIterator

  Parameters:
    `nodeType` - Extended type ID being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.

  Specified by:
    `next` in interface `DTMAxisIterator`
  Overrides:
    `next` in class `SAX2DTM2.DescendantIterator`
  Returns:
    The next node handle in the iteration, or END.

Copyright © 2005 Apache XML Project. All Rights Reserved.